Index: acpi.c
===================================================================
RCS file: /cvs/src/sys/dev/acpica/acpi.c,v
retrieving revision 1.6
diff -u -r1.6 acpi.c
--- acpi.c	19 May 2004 22:52:40 -0000	1.6
+++ acpi.c	26 Aug 2004 01:16:18 -0000
@@ -185,7 +185,7 @@
 /*
  * ACPI can only be loaded as a module by the loader; activating it after
  * system bootstrap time is not useful, and can be fatal to the system.
- * It also cannot be unloaded, since the entire system bus heirarchy hangs off it.
+ * It also cannot be unloaded, since the entire system bus hierarchy hangs off it.
  */
 static int
 acpi_modevent(struct module *mod, int event, void *junk)
Index: acpi.c
===================================================================
RCS file: /cvs/src/sys/dev/acpica5/acpi.c,v
retrieving revision 1.8
diff -u -r1.8 acpi.c
--- acpi.c	2 Aug 2004 19:51:07 -0000	1.8
+++ acpi.c	26 Aug 2004 01:18:01 -0000
@@ -214,7 +214,7 @@
 /*
  * ACPI can only be loaded as a module by the loader; activating it after
  * system bootstrap time is not useful, and can be fatal to the system.
- * It also cannot be unloaded, since the entire system bus heirarchy hangs
+ * It also cannot be unloaded, since the entire system bus hierarchy hangs
  * off it.
  */
 static int
Index: ffs_alloc.c
===================================================================
RCS file: /cvs/src/sys/vfs/ufs/ffs_alloc.c,v
retrieving revision 1.11
diff -u -r1.11 ffs_alloc.c
--- ffs_alloc.c	9 Aug 2004 19:41:04 -0000	1.11
+++ ffs_alloc.c	26 Aug 2004 01:20:19 -0000
@@ -90,7 +90,7 @@
  *   3) allocate a block in the same cylinder group.
  *   4) quadradically rehash into other cylinder groups, until an
  *      available block is located.
- * If no block preference is given the following heirarchy is used
+ * If no block preference is given the following hierarchy is used
  * to allocate a block:
  *   1) allocate a block in the cylinder group that contains the
  *      inode for the file.
@@ -552,7 +552,7 @@
  *   2) allocate an inode in the same cylinder group.
  *   3) quadradically rehash into other cylinder groups, until an
  *      available inode is located.
- * If no inode preference is given the following heirarchy is used
+ * If no inode preference is given the following hierarchy is used
  * to allocate an inode:
  *   1) allocate an inode in cylinder group 0.
  *   2) quadradically rehash into other cylinder groups, until an
Index: ufs_vnops.c
===================================================================
RCS file: /cvs/src/sys/vfs/ufs/ufs_vnops.c,v
retrieving revision 1.19
diff -u -r1.19 ufs_vnops.c
--- ufs_vnops.c	25 Aug 2004 00:05:11 -0000	1.19
+++ ufs_vnops.c	26 Aug 2004 01:20:59 -0000
@@ -966,7 +966,7 @@
 	/*
 	 * If ".." must be changed (ie the directory gets a new
 	 * parent) then the source directory must not be in the
-	 * directory heirarchy above the target, as this would
+	 * directory hierarchy above the target, as this would
 	 * orphan everything below the source directory. Also
 	 * the user must have write permission in the source so
 	 * as to be able to change "..". We must repeat the call
Index: ld.1
===================================================================
RCS file: /cvs/src/contrib/binutils/ld/ld.1,v
retrieving revision 1.2
diff -u -r1.2 ld.1
--- ld.1	17 Jun 2003 04:23:58 -0000	1.2
+++ ld.1	26 Aug 2004 01:23:45 -0000
@@ -1193,7 +1193,7 @@
 .IX Item "--version-script=version-scriptfile"
 Specify the name of a version script to the linker.  This is typically
 used when creating shared libraries to specify additional information
-about the version heirarchy for the library being created.  This option
+about the version hierarchy for the library being created.  This option
 is only meaningful on \s-1ELF\s0 platforms which support shared libraries.
 .IP "\fB\-\-warn\-common\fR" 4
 .IX Item "--warn-common"
Index: ld.texinfo
===================================================================
RCS file: /cvs/src/contrib/binutils/ld/ld.texinfo,v
retrieving revision 1.1
diff -u -r1.1 ld.texinfo
--- ld.texinfo	17 Jun 2003 02:43:30 -0000	1.1
+++ ld.texinfo	26 Aug 2004 01:24:13 -0000
@@ -1379,7 +1379,7 @@
 @itemx --version-script=@var{version-scriptfile}
 Specify the name of a version script to the linker.  This is typically
 used when creating shared libraries to specify additional information
-about the version heirarchy for the library being created.  This option
+about the version hierarchy for the library being created.  This option
 is only meaningful on ELF platforms which support shared libraries.
 @xref{VERSION}.
 
Index: xinstall.c
===================================================================
RCS file: /cvs/src/usr.bin/xinstall/xinstall.c,v
retrieving revision 1.3
diff -u -r1.3 xinstall.c
--- xinstall.c	4 Oct 2003 20:36:55 -0000	1.3
+++ xinstall.c	26 Aug 2004 01:27:04 -0000
@@ -698,7 +698,7 @@
 
 /*
  * install_dir --
- *	build directory heirarchy
+ *	build directory hierarchy
  */
 void
 install_dir(char *path)
Index: msdosfs_vnops.c
===================================================================
RCS file: /cvs/src/sys/vfs/msdosfs/msdosfs_vnops.c,v
retrieving revision 1.17
diff -u -r1.17 msdosfs_vnops.c
--- msdosfs_vnops.c	17 Aug 2004 18:57:34 -0000	1.17
+++ msdosfs_vnops.c	26 Aug 2004 01:28:44 -0000
@@ -1065,7 +1065,7 @@
 	/*
 	 * If ".." must be changed (ie the directory gets a new
 	 * parent) then the source directory must not be in the
-	 * directory heirarchy above the target, as this would
+	 * directory hierarchy above the target, as this would
 	 * orphan everything below the source directory. Also
 	 * the user must have write permission in the source so
 	 * as to be able to change "..". We must repeat the call
Index: ext2_vnops.c
===================================================================
RCS file: /cvs/src/sys/vfs/gnu/ext2fs/ext2_vnops.c,v
retrieving revision 1.15
diff -u -r1.15 ext2_vnops.c
--- ext2_vnops.c	17 Aug 2004 18:57:33 -0000	1.15
+++ ext2_vnops.c	26 Aug 2004 01:30:18 -0000
@@ -475,7 +475,7 @@
 	/*
 	 * If ".." must be changed (ie the directory gets a new
 	 * parent) then the source directory must not be in the
-	 * directory heirarchy above the target, as this would
+	 * directory hierarchy above the target, as this would
 	 * orphan everything below the source directory. Also
 	 * the user must have write permission in the source so
 	 * as to be able to change "..". We must repeat the call